<div>
    <h2 id="page-heading">
        <span>Step Owners</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-step-owner" [routerLink]="['/step-owner/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Step Owner
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="stepOwners?.length === 0">
        <span>No stepOwners found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="stepOwners && stepOwners.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Staff Id</span></th>
                    <th scope="col" ><span>Given Name</span></th>
                    <th scope="col" ><span>Middle Name</span></th>
                    <th scope="col" ><span>Sur Name</span></th>
                    <th scope="col" ><span>Email</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let stepOwner of stepOwners ;trackBy: trackId">
                    <td><a [routerLink]="['/step-owner', stepOwner.id, 'view']">{{ stepOwner.id }}</a></td>
                    <td>{{ stepOwner.staffId }}</td>
                    <td>{{ stepOwner.givenName }}</td>
                    <td>{{ stepOwner.middleName }}</td>
                    <td>{{ stepOwner.surName }}</td>
                    <td>{{ stepOwner.email }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/step-owner', stepOwner.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/step-owner', stepOwner.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(stepOwner)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
